Issue 89838 - No vertical substitution glyphs for vertical word art
Summary: No vertical substitution glyphs for vertical word art
Status: ACCEPTED
Alias: None
Product: Impress
Classification: Application
Component: ui (show other issues)
Version: OOo 2.4.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on: 89837
Blocks:
  Show dependency tree
 
Reported: 2008-05-23 10:37 UTC by wolframgarten
Modified: 2017-05-20 11:11 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Bugdoc (637.00 KB, text/plain)
2008-05-23 10:38 UTC, wolframgarten
no flags Details
Screenshot (130.91 KB, image/png)
2008-05-23 10:40 UTC, wolframgarten
no flags Details
Snapshots of the bugdoc, wordarts.ppt (1.61 MB, application/vnd.oasis.opendocument.graphics)
2009-01-09 12:33 UTC, tora3
no flags Details
test-patch for just "vertical U+30FC" (347 bytes, patch)
2009-01-09 13:31 UTC, hdu@apache.org
no flags Details | Diff
snapshot of the bugdoc, rendered by OOo241 to which sallayout.cxx patch, u30fc_norot.patch, has been applied. (252.86 KB, application/vnd.oasis.opendocument.graphics)
2009-01-09 18:27 UTC, tora3
no flags Details
Another bugdoc using some other vertical glyphs (43.00 KB, application/vnd.ms-powerpoint)
2009-01-09 18:29 UTC, tora3
no flags Details
snapshot of 89838_some_glyphs.ppt (295.76 KB, application/vnd.oasis.opendocument.graphics)
2009-01-09 18:30 UTC, tora3
no flags Details
A bugdoc with both WordArts and text boxes (41.00 KB, application/vnd.ms-powerpoint)
2009-01-09 19:31 UTC, tora3
no flags Details
snapshots of 89838_some_glyphs_in_a_text_box.ppt (540.80 KB, application/vnd.oasis.opendocument.graphics)
2009-01-09 19:33 UTC, tora3
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description wolframgarten 2008-05-23 10:37:58 UTC
Office does not use vertical substitution glyphs for vertical word art.
Comment 1 wolframgarten 2008-05-23 10:38:55 UTC
Created attachment 53879 [details]
Bugdoc
Comment 2 wolframgarten 2008-05-23 10:40:42 UTC
Created attachment 53880 [details]
Screenshot
Comment 3 hdu@apache.org 2008-06-26 13:28:22 UTC
.
Comment 4 tora3 2008-08-08 00:22:02 UTC
Any updates?
Comment 5 hdu@apache.org 2008-08-08 08:18:51 UTC
Can you confirm that the problem only happens on windows?
Comment 6 tora3 2008-08-08 17:35:30 UTC
This phenomenon can be observed under the following environments:

 (a) OpenOffice.org 2.4.0 en_US plus Japanese langpack
     Fedora 8
     LANG=ja_JP.UTF-8

 (b) OpenOffice.org 2.4.0 Japanese
     Windows 2000 Japanese

 (c) OpenOffice.org 2.4.0 Japanese
     Solaris 10 x86 6/06
     LANG=ja_JP.UTF-8

See slide 3, 4, 5 of wordarts.ppt attached. 
It seems that the problem happens regardless of type of platform. 

As this issue was filed, another issue 89837 blocked an attempt of confirmation 
with DEV300_mXX. I will be trying to confirm this with recent developer builds.
Comment 7 tora3 2008-08-11 07:07:17 UTC
hdu: The same phenomenon can be observed with 
 - DEV300_m26 Windows
 - DEV300_m28 Linux
 - DEV300_m28 Solaris x86
Comment 8 hdu@apache.org 2008-08-11 07:59:55 UTC
@tora: thanks for the extensive test!
Adjusting the target to 3.1
Comment 9 hdu@apache.org 2009-01-07 14:22:24 UTC
I had a closer look at the bugdoc. Is the observation that the only glyph in this bugdoc, where vertical 
substitution is needed is the one for the codepoint U+30FC ("prolonged sound mark")? Is MSP correct to 
rotate it such, that it looks more like an 'I' than a '-'?
Comment 10 tora3 2009-01-09 12:33:09 UTC
Created attachment 59266 [details]
Snapshots of the bugdoc, wordarts.ppt
Comment 11 hdu@apache.org 2009-01-09 13:29:34 UTC
The new bugdoc confirms my suspicion that the problem is just the wrongly rotated U+30FC. The 
requirement how to rotate it came from a japanese colleague...

Can a native speaker/writer check the patch I'm attaching below? If I didn't overlook something subtle this 
should fix it.
Comment 12 hdu@apache.org 2009-01-09 13:31:47 UTC
Created attachment 59268 [details]
test-patch for just "vertical U+30FC"
Comment 13 hdu@apache.org 2009-01-09 15:43:29 UTC
Update: now I see the problem

The patch above still raises a valid question about handling U+30FC. I suspect there are currently 
problems with PDF-export of the glyph for fonts that don't support vertical substitutions themselves. But 
if this gets confirmed then it would deserve an issue of its own.
Comment 14 tora3 2009-01-09 18:27:18 UTC
Created attachment 59273 [details]
snapshot of the bugdoc, rendered by OOo241 to which sallayout.cxx patch, u30fc_norot.patch, has been applied.
Comment 15 tora3 2009-01-09 18:29:10 UTC
Created attachment 59274 [details]
Another bugdoc using some other vertical glyphs
Comment 16 tora3 2009-01-09 18:30:30 UTC
Created attachment 59275 [details]
snapshot of 89838_some_glyphs.ppt
Comment 17 tora3 2009-01-09 19:31:14 UTC
Created attachment 59278 [details]
A bugdoc with both WordArts and text boxes
Comment 18 tora3 2009-01-09 19:33:36 UTC
Created attachment 59279 [details]
snapshots of 89838_some_glyphs_in_a_text_box.ppt
Comment 19 tora3 2009-01-09 19:36:35 UTC
As illustrated in the snapshot_of_89838_some_glyphs_in_a_text_box.ppt.odg , 
WordArts have some problems while text boxes seem to have no problem.
Comment 20 hdu@apache.org 2009-01-12 14:28:18 UTC
self reminder: windows GDI API call GetGlyphOutline() seems to ignore the vertical mode of a font for 
character->glyphid lookup. An application needs to workaround this deficit, which makes it way more 
troublesome. Retargeting.


Comment 21 Marcus 2017-05-20 11:11:28 UTC
Reset assigne to the default "issues@openoffice.apache.org".